Bug 249858 - x11/cinnamon-menus: depends on python 2.x
Summary: x11/cinnamon-menus: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:41 UTC by Steve Wills
Modified: 2021-01-02 11:30 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:41:10 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Charlie Li freebsd_committer 2020-12-31 10:37:55 UTC
This has consolidated to bug 249856. All core components have to be committed together.
Comment 2 commit-hook freebsd_committer 2021-01-02 11:22:02 UTC
A commit references this bug:

Author: rene
Date: Sat Jan  2 11:21:33 UTC 2021
New revision: 559925
URL: https://svnweb.freebsd.org/changeset/ports/559925

Log:
  Upgrade the Cinnamon desktop environment to version 4.8

  This version uses Python 3 instead of the expired Python 2.7

  From the main PR (249856):

  " There are a couple known issues:
    * x11-fm/nemo crashes upon closing a window or tab.
    * x11/cinnamon-screensaver unlocking doesn't work, most likely due to a missing PAM (Linux-PAM?) integration.
    Both of these issues are being worked on.

    I've been dogfooding since Cinnamon 4.0, and apart from those issues, everything works."

  PR:		249771
  PR:		249851
  PR:		249855
  PR:		249856
  PR:		249857
  PR:		249858
  Submitted by:	Charlie Li

Changes:
  head/lang/cjs/Makefile
  head/lang/cjs/distinfo
  head/lang/cjs/files/
  head/lang/cjs/pkg-plist
  head/misc/cinnamon-translations/Makefile
  head/misc/cinnamon-translations/distinfo
  head/misc/cinnamon-translations/pkg-descr
  head/misc/cinnamon-translations/pkg-plist
  head/sysutils/cinnamon-control-center/Makefile
  head/sysutils/cinnamon-control-center/distinfo
  head/sysutils/cinnamon-control-center/files/
  head/sysutils/cinnamon-control-center/pkg-plist
  head/sysutils/cinnamon-settings-daemon/Makefile
  head/sysutils/cinnamon-settings-daemon/distinfo
  head/sysutils/cinnamon-settings-daemon/files/patch-data_org.cinnamon.settings-daemon.plugins.gschema.xml.in.in
  head/sysutils/cinnamon-settings-daemon/files/patch-data_org.cinnamon.settings-daemon.plugins.power.gschema.xml.in.in
  head/sysutils/cinnamon-settings-daemon/files/patch-plugins_xrandr_csd-xrandr-manager.c
  head/sysutils/cinnamon-settings-daemon/pkg-plist
  head/x11/cinnamon/Makefile
  head/x11/cinnamon/distinfo
  head/x11/cinnamon/files/patch-configure.ac
  head/x11/cinnamon/files/patch-files-usr-lib-cinnamon-settings_cinnamon-settings.py
  head/x11/cinnamon/files/patch-files_Makefile.in
  head/x11/cinnamon/files/patch-files_usr_lib_cinnamon-settings_bin_imtools.py
  head/x11/cinnamon/files/patch-src_Makefile.am
  head/x11/cinnamon/files/patch-src_st_st.background.c
  head/x11/cinnamon/pkg-plist
  head/x11/cinnamon-desktop/Makefile
  head/x11/cinnamon-desktop/distinfo
  head/x11/cinnamon-desktop/pkg-plist
  head/x11/cinnamon-menus/Makefile
  head/x11/cinnamon-menus/distinfo
  head/x11/cinnamon-menus/pkg-plist
  head/x11/cinnamon-screensaver/Makefile
  head/x11/cinnamon-screensaver/distinfo
  head/x11/cinnamon-screensaver/files/cinnamon-screensaver.pam.in
  head/x11/cinnamon-screensaver/files/patch-src_gs-auth-helper.c
  head/x11/cinnamon-screensaver/pkg-plist
  head/x11/cinnamon-session/Makefile
  head/x11/cinnamon-session/distinfo
  head/x11/cinnamon-session/files/
  head/x11/cinnamon-session/pkg-plist
  head/x11-fm/nemo/Makefile
  head/x11-fm/nemo/distinfo
  head/x11-fm/nemo/files/patch-autogen.sh
  head/x11-fm/nemo/files/patch-eel_eel-editable-label.c
  head/x11-fm/nemo/files/patch-libnemo-private_nemo-global-preferences.c
  head/x11-fm/nemo/files/patch-libnemo-private_nemo-global-preferences.h
  head/x11-fm/nemo/files/patch-libnemo-private_nemo-statx.c
  head/x11-fm/nemo/files/patch-src_nemo-bookmark-list.c
  head/x11-fm/nemo/files/patch-src_nemo-notebook.c
  head/x11-fm/nemo/files/patch-src_nemo-view.c
  head/x11-fm/nemo/pkg-descr
  head/x11-fm/nemo/pkg-plist
  head/x11-wm/muffin/Makefile
  head/x11-wm/muffin/distinfo
  head/x11-wm/muffin/files/
  head/x11-wm/muffin/pkg-plist
Comment 3 Rene Ladan freebsd_committer 2021-01-02 11:30:06 UTC
Patch committed, thanks for the submission!